# DB Config and JWT and Expiration time located on secret.properties file
spring.config.import=optional:secret.properties
server.port=8081

spring.jpa.generate-ddl=true
#spring.jpa.hibernate.ddl-auto=create-drop
spring.jpa.hibernate.ddl-auto=update

spring.jpa.properties.hibernate.globally_quoted_identifiers=true

#spring.jpa.defer-datasource-initialization=true
#spring.sql.init.mode=always

spring.servlet.multipart.max-file-size=6MB

#Path to save pictures on local storage
sowsys.storage.local.directory-picture=/library/sow/pictures

#TODO
spring.main.allow-circular-references=true

#logging.level.org.springframework=DEBUG
